org.eclipse.emf.facet.widgets.celleditors.ecore.composite

## Class StringComposite<T>

- java.lang.Object
- - Composite
  - - org.eclipse.emf.facet.widgets.celleditors.AbstractCellEditorComposite<T>
    - - org.eclipse.emf.facet.widgets.celleditors.ecore.composite.StringComposite<T>

All Implemented Interfaces:
  IWidget2<T>

Direct Known Subclasses:
  BigDecimalComposite, BigIntegerComposite, ByteComposite, CharComposite, DoubleComposite, FloatComposite, IntComposite, LongComposite, ShortComposite

    public abstract class StringComposite<T>
    extends AbstractCellEditorComposite<T>

### Nested Class Summary

Nested Classes
`static interface` `StringComposite.IConverter<T>`

### Constructor Summary

Constructors
Constructor and Description
`StringComposite(Composite parent)`
`StringComposite(Composite parent, int style)`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`boolean` `getEditable()`
`java.lang.String` `getText()`
`T` `getValue()` Get the value from the widget
`abstract StringComposite.IConverter<T>` `initConverter()`
`void` `setEnabled(boolean enabled)`
`void` `setValue(T value)` Set the given value in the widget
`abstract IStatus` `validate(java.lang.String string)`

### Methods inherited from class org.eclipse.emf.facet.widgets.celleditors.AbstractCellEditorComposite

`addChangeListener, addCommitListener, getValidator, removeChangeListener, removeCommitListener`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StringComposite

    public StringComposite(Composite parent,
                           int style)

#### StringComposite

    public StringComposite(Composite parent)

### Method Detail

#### setEnabled

    public void setEnabled(boolean enabled)

#### getEditable

    public boolean getEditable()

#### setValue

    public void setValue(T value)

Description copied from interface: `IWidget2`
Set the given value in the widget

#### getText

    public java.lang.String getText()

#### getValue

    public T getValue()

Description copied from interface: `IWidget2`
Get the value from the widget

#### initConverter

    public abstract StringComposite.IConverter<T> initConverter()

#### validate

    public abstract IStatus validate(java.lang.String string)